<?php
if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}
/**
 * Shortcode attributes
 *
 * @package Visual Compoer KIT
 *
 * @var $atts
 * @var $style
 * @var $id
 * @var $el_class
 *
 * Shortcode class
 * @var $this Vckit_Shortcode_Mailchimp
 */

$style =
$id =
$el_class =
'';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
  'vckit-mailchimp',
  'vckit-mailchimp-' . $style,
  $el_class,
);
?>

<div class="<?php echo esc_attr( implode( ' ', $css_classes ) ); ?>">
    <?php
    if ( isset( $id ) ) {
        $shortcode = do_shortcode( '[mc4wp_form id="' . $id . '"]' );
      echo $shortcode; // @codingStandardsIgnoreLine
    }
    ?>
</div>
